Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List order documents

GET/orders/{order_id}/documents
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
order_idstringrequired
Responses
200

Documents list

_embeddedobject
Show properties
itemsOrderDocument[]
Show properties
Array of OrderDocument
idinteger | null

null for legacy documents stored in the order's contact_data (_document_pdf_url/_document_type/_document_number) instead of as a real document record. These have no self/delete links and can't be fetched or deleted via /orders/{order_id}/documents/{id}.

document_typestring
Allowed:invoicereceipt
document_numberstring
file_urlstring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/orders/string/documents' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_embedded": {
    "items": [
      {
        "id": 0,
        "document_type": "invoice",
        "document_number": "string",
        "file_url": "string"
      }
    ]
  }
}

Was this page helpful?